mbed TLS v2.23.0: psa_drv_se_cipher_t Struct Reference

mbed TLS v2.23.0

Data Fields
psa_drv_se_cipher_t Struct Reference
Secure Element Symmetric Ciphers

A struct containing all of the function pointers needed to implement cipher operations using secure elements. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_cipher_t:
[legend]

## Data Fields
size_t | context_size
psa_drv_se_cipher_setup_t | p_setup
psa_drv_se_cipher_set_iv_t | p_set_iv
psa_drv_se_cipher_update_t | p_update
psa_drv_se_cipher_finish_t | p_finish
psa_drv_se_cipher_abort_t | p_abort
psa_drv_se_cipher_ecb_t | p_ecb

## Detailed Description

A struct containing all of the function pointers needed to implement cipher operations using secure elements.

PSA Crypto API implementations should populate instances of the table as appropriate upon startup or at build time.

If one of the functions is not implemented (such as `psa_drv_se_cipher_ecb_t`), it should be set to NULL.

Definition at line 509 of file crypto_se_driver.h.

## Field Documentation

## ◆ context_size

size_t psa_drv_se_cipher_t::context_size

The size in bytes of the hardware-specific secure element cipher context structure

Definition at line 513 of file crypto_se_driver.h.

## ◆ p_abort

psa_drv_se_cipher_abort_t psa_drv_se_cipher_t::p_abort

Function that aborts a cipher operation

Definition at line 523 of file crypto_se_driver.h.

## ◆ p_ecb

psa_drv_se_cipher_ecb_t psa_drv_se_cipher_t::p_ecb

Function that performs ECB mode for a cipher operation (Danger: ECB mode should not be used directly by clients of the PSA Crypto Client API)

Definition at line 528 of file crypto_se_driver.h.

## ◆ p_finish

psa_drv_se_cipher_finish_t psa_drv_se_cipher_t::p_finish

Function that completes a cipher operation

Definition at line 521 of file crypto_se_driver.h.

## ◆ p_set_iv

psa_drv_se_cipher_set_iv_t psa_drv_se_cipher_t::p_set_iv

Function that sets a cipher IV (if necessary)

Definition at line 517 of file crypto_se_driver.h.

## ◆ p_setup

psa_drv_se_cipher_setup_t psa_drv_se_cipher_t::p_setup

Function that performs a cipher setup operation

Definition at line 515 of file crypto_se_driver.h.

## ◆ p_update

psa_drv_se_cipher_update_t psa_drv_se_cipher_t::p_update

Function that performs a cipher update operation

Definition at line 519 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h